Package org.springframework.cglib.transform.impl

# Class UndeclaredThrowableStrategy

java.lang.Object
org.springframework.cglib.core.DefaultGeneratorStrategy
org.springframework.cglib.transform.impl.UndeclaredThrowableStrategy

All Implemented Interfaces:
  `GeneratorStrategy`

public class UndeclaredThrowableStrategy extends DefaultGeneratorStrategy
A `GeneratorStrategy` suitable for use with `Enhancer` which causes all undeclared exceptions thrown from within a proxied method to be wrapped in an alternative exception of your choice.

## Field Summary

### Fields inherited from class org.springframework.cglib.core.DefaultGeneratorStrategy

`INSTANCE`

## Constructor Summary

Constructors
Constructor
Description
`UndeclaredThrowableStrategy(Class wrapper)`
Create a new instance of this strategy.

## Method Summary

Modifier and Type
Method
Description
`protected ClassGenerator`
`transform(ClassGenerator cg)`

### Methods inherited from class org.springframework.cglib.core.DefaultGeneratorStrategy

`generate, getClassVisitor, getClassWriter, transform`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.cglib.core.GeneratorStrategy

`equals`

## Constructor Details

### UndeclaredThrowableStrategy

public UndeclaredThrowableStrategy(Class wrapper)
Create a new instance of this strategy.

Parameters:
  `wrapper` - a class which extends either directly or indirectly from `Throwable` and which has at least one constructor that takes a single argument of type `Throwable`, for example `java.lang.reflect.UndeclaredThrowableException.class`

## Method Details

### transform

protected ClassGenerator transform(ClassGenerator cg) throws Exception

Overrides:
  `transform` in class `DefaultGeneratorStrategy`
Throws:
  `Exception`